Subject: Re: bug#7583: 23.2; ido loads tramp too eagerly

From: Dave Abrahams <[email-masked]>
Date: Wed, 19 Oct 2011 15:31:32 -0400

on Sun Oct 16 2011, Michael Albinus <michael.albinus-AT-gmx.de> wrote:

> Dave Abrahams <[email-masked]> writes:
>
> Hi Dave,
>
>> This seems a bit overeager.  It takes a while to load up tramp, and ido
>> shouldn't need to consider tramp filename completions if tramp isn't
>> already loaded.
>
> I (still) cannot speak about ido. But Tramp 2.2 has been rewritten for
> Emacs 24 to load only the minimum part at startup. More Lisp objects of
> Tramp have been moved to autoload files.
>
>> emacs -Q
>> `M-x ido-mode RET'
>> `C-x C-f'           <wait while tramp loads>
>
> Running this recipe with Emacs 24.0.90, I don't see a serious delay due
> to Tramp. Do you still believe we need to fix something?

Yeah, I do (no pun intended).  See the other report I made today.
Again, I'm not sure it's *technically* Tramp's fault, but I think Tramp
should probably be more resilient to whatever ido is doing.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com